userenv/tests: Fix buffer overrun.
[wine] / configure
index 4387bb5..9e00f9c 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.61 for Wine 0.9.55.
+# Generated by GNU Autoconf 2.61 for Wine 1.0-rc3.
 #
 # Report bugs to <wine-devel@winehq.org>.
 #
@@ -574,8 +574,8 @@ SHELL=${CONFIG_SHELL-/bin/sh}
 # Identity of this package.
 PACKAGE_NAME='Wine'
 PACKAGE_TARNAME='wine'
-PACKAGE_VERSION='0.9.55'
-PACKAGE_STRING='Wine 0.9.55'
+PACKAGE_VERSION='1.0-rc3'
+PACKAGE_STRING='Wine 1.0-rc3'
 PACKAGE_BUGREPORT='wine-devel@winehq.org'
 
 ac_unique_file="server/atom.c"
@@ -652,6 +652,7 @@ LIBS
 build_alias
 host_alias
 target_alias
+MAINTAINER_MODE
 build
 build_cpu
 build_vendor
@@ -687,6 +688,7 @@ AS
 ac_ct_AS
 LD
 AR
+ARFLAGS
 RANLIB
 STRIP
 WINDRES
@@ -702,6 +704,8 @@ LINT
 LINTFLAGS
 FONTFORGE
 PKG_CONFIG
+RSVG
+ICOTOOL
 PRELINK
 LIBPTHREAD
 XLIB
@@ -1289,7 +1293,7 @@ if test "$ac_init_help" = "long"; then
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Wine 0.9.55 to adapt to many kinds of systems.
+\`configure' configures Wine 1.0-rc3 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1358,7 +1362,7 @@ fi
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Wine 0.9.55:";;
+     short | recursive ) echo "Configuration of Wine 1.0-rc3:";;
    esac
   cat <<\_ACEOF
 
@@ -1368,6 +1372,8 @@ Optional Features:
   --disable-win16         do not include Win16 support
   --enable-win64          build a Win64 emulator on AMD64 (won't run Win32
                           binaries)
+  --enable-maintainer-mode
+                          enable maintainer-specific build rules
 
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
@@ -1381,7 +1387,9 @@ Optional Packages:
   --without-curses        do not use (n)curses
   --without-esd           do not use the EsounD sound support
   --without-fontconfig    do not use fontconfig
+  --without-freetype      do not use the FreeType library
   --without-gphoto        do not use gphoto (Digital Camera support)
+  --without-glu           do not use the GLU library
   --without-hal           do not use HAL (dynamic device support)
   --without-jack          do not use the Jack sound support
   --without-jpeg          do not use JPEG
@@ -1483,7 +1491,7 @@ fi
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Wine configure 0.9.55
+Wine configure 1.0-rc3
 generated by GNU Autoconf 2.61
 
 Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
@@ -1497,7 +1505,7 @@ cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Wine $as_me 0.9.55, which was
+It was created by Wine $as_me 1.0-rc3, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
@@ -1896,6 +1904,14 @@ if test "${enable_win64+set}" = set; then
   enableval=$enable_win64;
 fi
 
+# Check whether --enable-maintainer-mode was given.
+if test "${enable_maintainer_mode+set}" = set; then
+  enableval=$enable_maintainer_mode;
+else
+  MAINTAINER_MODE=\#
+
+fi
+
 
 
 # Check whether --with-alsa was given.
@@ -1952,12 +1968,24 @@ if test "${with_fontconfig+set}" = set; then
 fi
 
 
+# Check whether --with-freetype was given.
+if test "${with_freetype+set}" = set; then
+  withval=$with_freetype;
+fi
+
+
 # Check whether --with-gphoto was given.
 if test "${with_gphoto+set}" = set; then
   withval=$with_gphoto;
 fi
 
 
+# Check whether --with-glu was given.
+if test "${with_glu+set}" = set; then
+  withval=$with_glu; if test "x$withval" = "xno"; then ac_cv_header_GL_glu_h=no; fi
+fi
+
+
 # Check whether --with-hal was given.
 if test "${with_hal+set}" = set; then
   withval=$with_hal;
@@ -5600,6 +5628,8 @@ else
   AR="$ac_cv_prog_AR"
 fi
 
+ARFLAGS=rc
+
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
@@ -6338,6 +6368,99 @@ fi
 done
 test -n "$PKG_CONFIG" || PKG_CONFIG="false"
 
+for ac_prog in rsvg
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_RSVG+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$RSVG"; then
+  ac_cv_prog_RSVG="$RSVG" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_RSVG="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+RSVG=$ac_cv_prog_RSVG
+if test -n "$RSVG"; then
+  { echo "$as_me:$LINENO: result: $RSVG" >&5
+echo "${ECHO_T}$RSVG" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$RSVG" && break
+done
+test -n "$RSVG" || RSVG="false"
+
+for ac_prog in icotool
+do
+  # Extract the first word of "$ac_prog", so it can be a program name with args.
+set dummy $ac_prog; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ICOTOOL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ICOTOOL"; then
+  ac_cv_prog_ICOTOOL="$ICOTOOL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ICOTOOL="$ac_prog"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ICOTOOL=$ac_cv_prog_ICOTOOL
+if test -n "$ICOTOOL"; then
+  { echo "$as_me:$LINENO: result: $ICOTOOL" >&5
+echo "${ECHO_T}$ICOTOOL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+  test -n "$ICOTOOL" && break
+done
+test -n "$ICOTOOL" || ICOTOOL="false"
+
+
+if test "${enable_maintainer_mode+set}" = set
+then
+  if test "$FONTFORGE" = "false"; then wine_warnings="$wine_warnings|fontforge is missing, fonts can't be rebuilt."; fi
+  if test "$RSVG" = "false"; then wine_warnings="$wine_warnings|rsvg is missing, icons can't be rebuilt."; fi
+  if test "$ICOTOOL" = "false"; then wine_warnings="$wine_warnings|icotool is missing, icons can't be rebuilt."; fi
+fi
 
 case $host_cpu in
   *i[3456789]86*)
@@ -7306,7 +7429,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_PARAM_H
+     #ifdef HAVE_SYS_PARAM_H
      # include <sys/param.h>
      #endif
 
@@ -7375,13 +7498,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
-     #if HAVE_SYS_SOCKETVAR_H
+     #ifdef HAVE_SYS_SOCKETVAR_H
      # include <sys/socketvar.h>
      #endif
-     #if HAVE_NETINET_IN_H
+     #ifdef HAVE_NETINET_IN_H
      # include <netinet/in.h>
      #endif
 
@@ -7443,13 +7566,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
-     #if HAVE_SYS_SOCKETVAR_H
+     #ifdef HAVE_SYS_SOCKETVAR_H
      # include <sys/socketvar.h>
      #endif
-     #if HAVE_NETINET_IN_H
+     #ifdef HAVE_NETINET_IN_H
      # include <netinet/in.h>
      #endif
      #ifdef HAVE_NETINET_TCP_H
@@ -7517,7 +7640,7 @@ cat >>conftest.$ac_ext <<_ACEOF
      #ifdef HAVE_ASM_TYPES_H
      # include <asm/types.h>
      #endif
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
 
@@ -7579,13 +7702,13 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-     #if HAVE_SYS_SOCKET_H
+     #ifdef HAVE_SYS_SOCKET_H
      # include <sys/socket.h>
      #endif
-     #if HAVE_NETINET_IN_H
+     #ifdef HAVE_NETINET_IN_H
      # include <netinet/in.h>
      #endif
-     #if HAVE_ARPA_NAMESER_H
+     #ifdef HAVE_ARPA_NAMESER_H
      # include <arpa/nameser.h>
      #endif
 
@@ -7706,7 +7829,7 @@ cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <sys/types.h>
-#if HAVE_UCONTEXT_H
+#ifdef HAVE_UCONTEXT_H
 #include <ucontext.h>
 #endif
 
         fi
         if test "$ac_cv_lib_Xxf86vm_XF86VidModeQueryExtension" != "yes"; then
   case "x$with_xvidmode" in
-  x)   wine_notices="$wine_notices|libxxf86vm development files not found, XFree86 Vidmode won't be supported." ;;
+  x)   wine_notices="$wine_notices|libXxf86vm development files not found, XFree86 Vidmode won't be supported." ;;
   xno) ;;
-  *)   { { echo "$as_me:$LINENO: error: libxxf86vm development files not found, XFree86 Vidmode won't be supported.
+  *)   { { echo "$as_me:$LINENO: error: libXxf86vm development files not found, XFree86 Vidmode won't be supported.
 This is an error since --with-xvidmode was requested." >&5
-echo "$as_me: error: libxxf86vm development files not found, XFree86 Vidmode won't be supported.
+echo "$as_me: error: libXxf86vm development files not found, XFree86 Vidmode won't be supported.
 This is an error since --with-xvidmode was requested." >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
@@ -10202,7 +10325,7 @@ fi
         fi
         if test "x$ac_cv_lib_soname_Xrender" = "x"; then
   case "x$with_xrender" in
-  x)   wine_notices="$wine_notices|libxrender development files not found, XRender won't be supported." ;;
+  x)   wine_warnings="$wine_warnings|libxrender development files not found, XRender won't be supported." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: libxrender development files not found, XRender won't be supported.
 This is an error since --with-xrender was requested." >&5
@@ -10577,6 +10700,115 @@ esac
 fi
 
 
+                { echo "$as_me:$LINENO: checking for XICCallback.callback" >&5
+echo $ECHO_N "checking for XICCallback.callback... $ECHO_C" >&6; }
+if test "${ac_cv_member_XICCallback_callback+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef HAVE_X11_XLIB_H
+#include <X11/Xlib.h>
+#endif
+
+int
+main ()
+{
+static XICCallback ac_aggr;
+if (ac_aggr.callback)
+return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_member_XICCallback_callback=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef HAVE_X11_XLIB_H
+#include <X11/Xlib.h>
+#endif
+
+int
+main ()
+{
+static XICCallback ac_aggr;
+if (sizeof ac_aggr.callback)
+return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_member_XICCallback_callback=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_member_XICCallback_callback=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_member_XICCallback_callback" >&5
+echo "${ECHO_T}$ac_cv_member_XICCallback_callback" >&6; }
+if test $ac_cv_member_XICCallback_callback = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_XICCALLBACK_CALLBACK 1
+_ACEOF
+
+
+fi
+
+
 
         opengl_msg=""
     if test "x$with_opengl" != "xno"
@@ -10871,15 +11103,16 @@ _ACEOF
 
 fi
 
-
-                               { echo "$as_me:$LINENO: checking for gluLookAt in -lGLU" >&5
-echo $ECHO_N "checking for gluLookAt in -lGLU... $ECHO_C" >&6; }
-if test "${ac_cv_lib_GLU_gluLookAt+set}" = set; then
+                 if test "$ac_cv_header_GL_glu_h" = "yes"
+                 then
+                    { echo "$as_me:$LINENO: checking for -lGLU" >&5
+echo $ECHO_N "checking for -lGLU... $ECHO_C" >&6; }
+if test "${ac_cv_lib_soname_GLU+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_check_lib_save_LIBS=$LIBS
+  ac_check_soname_save_LIBS=$LIBS
 LIBS="-lGLU $OPENGL_LIBS $X_LIBS $X_PRE_LIBS -lXext -lX11 -lm $X_EXTRA_LIBS $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
+  cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
 cat confdefs.h >>conftest.$ac_ext
@@ -10919,24 +11152,48 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
         test ! -s conftest.err
        } && test -s conftest$ac_exeext &&
        $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_GLU_gluLookAt=yes
+  case "$LIBEXT" in
+    dll) ;;
+    dylib) ac_cv_lib_soname_GLU=`otool -L conftest$ac_exeext | grep "libGLU\\.[0-9A-Za-z.]*dylib" | sed -e "s/^.*\/\(libGLU\.[0-9A-Za-z.]*dylib\).*$/\1/"';2,$d'` ;;
+    *) ac_cv_lib_soname_GLU=`$ac_cv_path_LDD conftest$ac_exeext | grep "libGLU\\.$LIBEXT" | sed -e "s/^.*\(libGLU\.$LIBEXT[^    ]*\).*$/\1/"';2,$d'` ;;
+  esac
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-       ac_cv_lib_GLU_gluLookAt=no
+
 fi
 
 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
+  LIBS=$ac_check_soname_save_LIBS
+fi
+if test "x$ac_cv_lib_soname_GLU" = "x"; then
+  { echo "$as_me:$LINENO: result: not found" >&5
+echo "${ECHO_T}not found" >&6; }
+
+else
+  { echo "$as_me:$LINENO: result: $ac_cv_lib_soname_GLU" >&5
+echo "${ECHO_T}$ac_cv_lib_soname_GLU" >&6; }
+
+cat >>confdefs.h <<_ACEOF
+#define SONAME_LIBGLU "$ac_cv_lib_soname_GLU"
+_ACEOF
+
+       GLU32FILES='$(GLU32FILES)'
 fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluLookAt" >&5
-echo "${ECHO_T}$ac_cv_lib_GLU_gluLookAt" >&6; }
-if test $ac_cv_lib_GLU_gluLookAt = yes; then
-  OPENGL_LIBS="$OPENGL_LIBS -lGLU"
-                            GLU32FILES='$(GLU32FILES)'
 
+                 fi
+                 if test "x$ac_cv_lib_soname_GLU" = "x"; then
+  case "x$with_glu" in
+  x)   wine_notices="$wine_notices|libGLU development files not found, GLU won't be supported." ;;
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: libGLU development files not found, GLU won't be supported.
+This is an error since --with-glu was requested." >&5
+echo "$as_me: error: libGLU development files not found, GLU won't be supported.
+This is an error since --with-glu was requested." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
              else
@@ -11313,18 +11570,15 @@ else
 fi
 if test "x$XLIB" = "x"; then
   case "x$with_x" in
-  x)   wine_warnings="$wine_warnings|X development files not found. Wine will be built
-without X support, which probably isn't what you want. You will need to install
-development packages of Xlib/Xfree86 at the very least." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: X development files not found. Wine will be built
 without X support, which probably isn't what you want. You will need to install
 development packages of Xlib/Xfree86 at the very least.
-This is an error since --with-x was requested." >&5
+Use the --without-x option if you really want this." >&5
 echo "$as_me: error: X development files not found. Wine will be built
 without X support, which probably isn't what you want. You will need to install
 development packages of Xlib/Xfree86 at the very least.
-This is an error since --with-x was requested." >&2;}
+Use the --without-x option if you really want this." >&2;}
    { (exit 1); exit 1; }; } ;;
 esac
 fi
@@ -11709,7 +11963,7 @@ done
 fi
 if test "$ac_cv_lib_xml2_xmlParseMemory" != "yes"; then
   case "x$with_xml" in
-  x)   wine_notices="$wine_notices|libxml2 development files not found, XML won't be supported." ;;
+  x)   wine_warnings="$wine_warnings|libxml2 development files not found, XML won't be supported." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: libxml2 development files not found, XML won't be supported.
 This is an error since --with-xml was requested." >&5
@@ -11730,6 +11984,7 @@ then
         ac_xslt_libs="`xslt-config --libs 2>/dev/null`"
         ac_xslt_cflags="`xslt-config --cflags 2>/dev/null`"
     fi
+    ac_save_CPPFLAGS="$CPPFLAGS"
     CPPFLAGS="$CPPFLAGS $ac_xslt_cflags"
 
 
@@ -11787,7 +12042,15 @@ if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<_ACEOF
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
 _ACEOF
- { echo "$as_me:$LINENO: checking for xsltCompilePattern in -lxslt" >&5
+
+fi
+
+done
+
+    CPPFLAGS="$ac_save_CPPFLAGS"
+    if test "$ac_cv_header_libxslt_transform_h" = "yes"
+    then
+        { echo "$as_me:$LINENO: checking for xsltCompilePattern in -lxslt" >&5
 echo $ECHO_N "checking for xsltCompilePattern in -lxslt... $ECHO_C" >&6; }
 if test "${ac_cv_lib_xslt_xsltCompilePattern+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -11854,20 +12117,112 @@ cat >>confdefs.h <<\_ACEOF
 #define HAVE_LIBXSLT 1
 _ACEOF
 
-                 XSLTLIBS="$ac_xslt_libs"
-                 XSLTINCL="$ac_xslt_cflags"
-fi
+             XSLTLIBS="$ac_xslt_libs"
+             XSLTINCL="$ac_xslt_cflags"
+             ac_save_LIBS="$LIBS"
+             LIBS="$LIBS $ac_xslt_libs"
 
+for ac_func in xsltInit
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
+#define $ac_func innocuous_$ac_func
 
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char $ac_func (); below.
+    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+    <limits.h> exists even on freestanding compilers.  */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined __stub_$ac_func || defined __stub___$ac_func
+choke me
+#endif
+
+int
+main ()
+{
+return $ac_func ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  eval "$as_ac_var=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       eval "$as_ac_var=no"
 fi
 
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_var'}'`
+              { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
 done
 
-    CPPFLAGS="$ac_save_CPPFLAGS"
+             LIBS="$ac_save_LIBS"
+fi
+
+    fi
 fi
 if test "$ac_cv_lib_xslt_xsltCompilePattern" != "yes"; then
   case "x$with_xslt" in
-  x)   wine_notices="$wine_notices|libxslt development files not found, xslt won't be supported." ;;
+  x)   wine_warnings="$wine_warnings|libxslt development files not found, xslt won't be supported." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: libxslt development files not found, xslt won't be supported.
 This is an error since --with-xslt was requested." >&5
@@ -13518,7 +13873,7 @@ fi
 done
 test -n "$ft_devel" || ft_devel="false"
 
-if test "$ft_devel" != "false"
+if test "$ft_devel" != "false" -a "x$with_freetype" != "xno"
 then
     ac_freetype_libs=`$ft_devel --libs`
     ac_freetype_incl=`$ft_devel --cflags`
@@ -13641,8 +13996,8 @@ _ACEOF
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-#if HAVE_FT2BUILD_H
-                          #include <ft2build.h>
+#ifdef HAVE_FT2BUILD_H
+                          # include <ft2build.h>
                           #endif
 
 #include <$ac_header>
@@ -13897,23 +14252,25 @@ _ACEOF
 
             FREETYPEINCL="$ac_freetype_incl"
 
+            FONTSSUBDIRS="fonts"
+
        fi
     fi
 fi
-
-if test "$FONTFORGE" = "false"
-then
-    wine_warnings="$wine_warnings|FontForge is missing.
-Fonts will not be built. Dialog text may be invisible or unaligned."
-elif test "x$FREETYPELIBS" = "x"
-then
-    wine_warnings="$wine_warnings|FreeType development files not found.
-Fonts will not be built. Dialog text may be invisible or unaligned."
-else
-  FONTSSUBDIRS="fonts"
-
+if test "x$FREETYPELIBS" = "x"; then
+  case "x$with_freetype" in
+  xno) ;;
+  *)   { { echo "$as_me:$LINENO: error: FreeType development files not found.
+Fonts will not be built. Dialog text may be invisible or unaligned.
+Use the --without-freetype option if you really want this." >&5
+echo "$as_me: error: FreeType development files not found.
+Fonts will not be built. Dialog text may be invisible or unaligned.
+Use the --without-freetype option if you really want this." >&2;}
+   { (exit 1); exit 1; }; } ;;
+esac
 fi
 
+
 { echo "$as_me:$LINENO: checking for parport header/ppdev.h" >&5
 echo $ECHO_N "checking for parport header/ppdev.h... $ECHO_C" >&6; }
 if test "${ac_cv_c_ppdev+set}" = set; then
@@ -14093,69 +14450,6 @@ _ACEOF
 
 fi
 
-{ echo "$as_me:$LINENO: checking for sigsetjmp" >&5
-echo $ECHO_N "checking for sigsetjmp... $ECHO_C" >&6; }
-if test "${ac_cv_c_sigsetjmp+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <setjmp.h>
-int
-main ()
-{
-sigjmp_buf buf;
-    sigsetjmp( buf, 1 );
-    siglongjmp( buf, 1 );
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_c_sigsetjmp="yes"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_c_sigsetjmp="no"
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_c_sigsetjmp" >&5
-echo "${ECHO_T}$ac_cv_c_sigsetjmp" >&6; }
-if test "$ac_cv_c_sigsetjmp" = "yes"
-then
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_SIGSETJMP 1
-_ACEOF
-
-fi
-
 { echo "$as_me:$LINENO: checking for pthread_rwlock_t" >&5
 echo $ECHO_N "checking for pthread_rwlock_t... $ECHO_C" >&6; }
 if test "${ac_cv_type_pthread_rwlock_t+set}" = set; then
@@ -15471,9 +15765,9 @@ _ACEOF
 fi
 
 fi
-if test "x$ac_cv_lib_soname_ssl" = "x"; then
+if test "x$ac_cv_lib_soname_ssl" = "x" -o "x$ac_cv_lib_soname_crypto" = "x"; then
   case "x$with_openssl" in
-  x)   wine_notices="$wine_notices|OpenSSL development files not found, SSL won't be supported." ;;
+  x)   wine_warnings="$wine_warnings|OpenSSL development files not found, SSL won't be supported." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: OpenSSL development files not found, SSL won't be supported.
 This is an error since --with-openssl was requested." >&5
@@ -15567,7 +15861,7 @@ fi
 fi
 if test "x$ac_cv_lib_soname_jpeg" = "x"; then
   case "x$with_jpeg" in
-  x)   wine_notices="$wine_notices|libjpeg development files not found, JPEG won't be supported." ;;
+  x)   wine_warnings="$wine_warnings|libjpeg development files not found, JPEG won't be supported." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: libjpeg development files not found, JPEG won't be supported.
 This is an error since --with-jpeg was requested." >&5
@@ -15661,7 +15955,7 @@ fi
 fi
 if test "x$ac_cv_lib_soname_png" = "x"; then
   case "x$with_png" in
-  x)   wine_notices="$wine_notices|libpng development files not found, PNG won't be supported." ;;
+  x)   wine_warnings="$wine_warnings|libpng development files not found, PNG won't be supported." ;;
   xno) ;;
   *)   { { echo "$as_me:$LINENO: error: libpng development files not found, PNG won't be supported.
 This is an error since --with-png was requested." >&5
@@ -16590,6 +16884,10 @@ esac
 
 
 
+
+
+
+
 
 
 
@@ -16603,6 +16901,8 @@ for ac_func in \
        _strdup \
        _stricmp \
        _strnicmp \
+       _strtoi64 \
+       _strtoui64 \
        _vsnprintf \
        asctime_r \
        chsize \
@@ -16654,6 +16954,8 @@ for ac_func in \
        strerror \
        strncasecmp \
        strtold \
+       strtoll \
+       strtoull \
        tcgetattr \
        thr_kill2 \
        timegm \
@@ -20910,6 +21212,66 @@ _ACEOF
 
 fi
 
+{ echo "$as_me:$LINENO: checking for isinf" >&5
+echo $ECHO_N "checking for isinf... $ECHO_C" >&6; }
+if test "${ac_cv_have_isinf+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <math.h>
+int
+main ()
+{
+float f = 0.0; isinf(f)
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_have_isinf="yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_cv_have_isinf="no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_have_isinf" >&5
+echo "${ECHO_T}$ac_cv_have_isinf" >&6; }
+if test "$ac_cv_have_isinf" = "yes"
+then
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_ISINF 1
+_ACEOF
+
+fi
+
 
 case $host_cpu in
   *i[3456789]86*) { echo "$as_me:$LINENO: checking whether we need to define __i386__" >&5
@@ -21113,6 +21475,7 @@ Makefile: dummy
 
 \$(OBJS): \$(IDL_GEN_HEADERS)
 \$(IDL_GEN_C_SRCS:.c=.o): \$(IDL_GEN_C_SRCS)
+\$(RC_SRCS:.rc=.res): \$(IDL_TLB_SRCS:.idl=.tlb)
 \$(LEX_SRCS:.l=.yy.o): \$(LEX_SRCS:.l=.yy.c)
 \$(BISON_SRCS:.y=.tab.o): \$(BISON_SRCS:.y=.tab.c)"
 
@@ -21171,6 +21534,8 @@ ac_config_files="$ac_config_files dlls/activeds/Makefile"
 
 ac_config_files="$ac_config_files dlls/actxprxy/Makefile"
 
+ac_config_files="$ac_config_files dlls/adsiid/Makefile"
+
 ac_config_files="$ac_config_files dlls/advapi32/Makefile"
 
 ac_config_files="$ac_config_files dlls/advapi32/tests/Makefile"
@@ -21235,6 +21600,8 @@ ac_config_files="$ac_config_files dlls/cryptnet/Makefile"
 
 ac_config_files="$ac_config_files dlls/cryptnet/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/cryptui/Makefile"
+
 ac_config_files="$ac_config_files dlls/ctapi32/Makefile"
 
 ac_config_files="$ac_config_files dlls/ctl3d32/Makefile"
@@ -21259,8 +21626,36 @@ ac_config_files="$ac_config_files dlls/d3dx8/Makefile"
 
 ac_config_files="$ac_config_files dlls/d3dx8/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/d3dx9_24/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_25/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_26/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_27/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_28/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_29/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_30/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_31/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_32/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_33/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_34/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_35/Makefile"
+
 ac_config_files="$ac_config_files dlls/d3dx9_36/Makefile"
 
+ac_config_files="$ac_config_files dlls/d3dx9_36/tests/Makefile"
+
+ac_config_files="$ac_config_files dlls/d3dx9_37/Makefile"
+
 ac_config_files="$ac_config_files dlls/d3dxof/Makefile"
 
 ac_config_files="$ac_config_files dlls/dbghelp/Makefile"
@@ -21321,6 +21716,8 @@ ac_config_files="$ac_config_files dlls/dsound/Makefile"
 
 ac_config_files="$ac_config_files dlls/dsound/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/dssenh/Makefile"
+
 ac_config_files="$ac_config_files dlls/dswave/Makefile"
 
 ac_config_files="$ac_config_files dlls/dwmapi/Makefile"
@@ -21335,6 +21732,10 @@ ac_config_files="$ac_config_files dlls/dxguid/Makefile"
 
 ac_config_files="$ac_config_files dlls/faultrep/Makefile"
 
+ac_config_files="$ac_config_files dlls/fusion/Makefile"
+
+ac_config_files="$ac_config_files dlls/fusion/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/gdi32/Makefile"
 
 ac_config_files="$ac_config_files dlls/gdi32/tests/Makefile"
@@ -21399,6 +21800,10 @@ ac_config_files="$ac_config_files dlls/itss/Makefile"
 
 ac_config_files="$ac_config_files dlls/itss/tests/Makefile"
 
+ac_config_files="$ac_config_files dlls/jscript/Makefile"
+
+ac_config_files="$ac_config_files dlls/jscript/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/kernel32/Makefile"
 
 ac_config_files="$ac_config_files dlls/kernel32/tests/Makefile"
@@ -21585,8 +21990,14 @@ ac_config_files="$ac_config_files dlls/pstorec/Makefile"
 
 ac_config_files="$ac_config_files dlls/qcap/Makefile"
 
+ac_config_files="$ac_config_files dlls/qedit/Makefile"
+
+ac_config_files="$ac_config_files dlls/qedit/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/qmgr/Makefile"
 
+ac_config_files="$ac_config_files dlls/qmgr/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/qmgrprxy/Makefile"
 
 ac_config_files="$ac_config_files dlls/quartz/Makefile"
@@ -21613,8 +22024,6 @@ ac_config_files="$ac_config_files dlls/rpcrt4/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/rsabase/Makefile"
 
-ac_config_files="$ac_config_files dlls/rsabase/tests/Makefile"
-
 ac_config_files="$ac_config_files dlls/rsaenh/Makefile"
 
 ac_config_files="$ac_config_files dlls/rsaenh/tests/Makefile"
@@ -21665,6 +22074,8 @@ ac_config_files="$ac_config_files dlls/shlwapi/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/slbcsp/Makefile"
 
+ac_config_files="$ac_config_files dlls/slc/Makefile"
+
 ac_config_files="$ac_config_files dlls/snmpapi/Makefile"
 
 ac_config_files="$ac_config_files dlls/snmpapi/tests/Makefile"
@@ -21705,6 +22116,8 @@ ac_config_files="$ac_config_files dlls/user32/tests/Makefile"
 
 ac_config_files="$ac_config_files dlls/userenv/Makefile"
 
+ac_config_files="$ac_config_files dlls/userenv/tests/Makefile"
+
 ac_config_files="$ac_config_files dlls/usp10/Makefile"
 
 ac_config_files="$ac_config_files dlls/usp10/tests/Makefile"
@@ -21855,6 +22268,8 @@ ac_config_files="$ac_config_files programs/oleview/Makefile"
 
 ac_config_files="$ac_config_files programs/progman/Makefile"
 
+ac_config_files="$ac_config_files programs/reg/Makefile"
+
 ac_config_files="$ac_config_files programs/regedit/Makefile"
 
 ac_config_files="$ac_config_files programs/regsvr32/Makefile"
@@ -21863,6 +22278,10 @@ ac_config_files="$ac_config_files programs/rpcss/Makefile"
 
 ac_config_files="$ac_config_files programs/rundll32/Makefile"
 
+ac_config_files="$ac_config_files programs/secedit/Makefile"
+
+ac_config_files="$ac_config_files programs/services/Makefile"
+
 ac_config_files="$ac_config_files programs/spoolsv/Makefile"
 
 ac_config_files="$ac_config_files programs/start/Makefile"
@@ -21899,7 +22318,7 @@ ac_config_files="$ac_config_files programs/winetest/Makefile"
 
 ac_config_files="$ac_config_files programs/winevdm/Makefile"
 
-ac_config_files="$ac_config_files programs/winhelp/Makefile"
+ac_config_files="$ac_config_files programs/winhlp32/Makefile"
 
 ac_config_files="$ac_config_files programs/winver/Makefile"
 
@@ -22322,7 +22741,7 @@ exec 6>&1
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Wine $as_me 0.9.55, which was
+This file was extended by Wine $as_me 1.0-rc3, which was
 generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -22375,7 +22794,7 @@ Report bugs to <bug-autoconf@gnu.org>."
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-Wine config.status 0.9.55
+Wine config.status 1.0-rc3
 configured by $0, generated by GNU Autoconf 2.61,
   with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
@@ -22501,6 +22920,7 @@ do
     "dlls/acledit/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/acledit/Makefile" ;;
     "dlls/activeds/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/activeds/Makefile" ;;
     "dlls/actxprxy/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/actxprxy/Makefile" ;;
+    "dlls/adsiid/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/adsiid/Makefile" ;;
     "dlls/advapi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/advapi32/Makefile" ;;
     "dlls/advapi32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/advapi32/tests/Makefile" ;;
     "dlls/advpack/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/advpack/Makefile" ;;
@@ -22533,6 +22953,7 @@ do
     "dlls/cryptdll/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptdll/Makefile" ;;
     "dlls/cryptnet/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptnet/Makefile" ;;
     "dlls/cryptnet/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptnet/tests/Makefile" ;;
+    "dlls/cryptui/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/cryptui/Makefile" ;;
     "dlls/ctapi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ctapi32/Makefile" ;;
     "dlls/ctl3d32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/ctl3d32/Makefile" ;;
     "dlls/d3d10/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3d10/Makefile" ;;
     "dlls/d3drm/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3drm/tests/Makefile" ;;
     "dlls/d3dx8/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx8/Makefile" ;;
     "dlls/d3dx8/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx8/tests/Makefile" ;;
+    "dlls/d3dx9_24/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_24/Makefile" ;;
+    "dlls/d3dx9_25/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_25/Makefile" ;;
+    "dlls/d3dx9_26/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_26/Makefile" ;;
+    "dlls/d3dx9_27/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_27/Makefile" ;;
+    "dlls/d3dx9_28/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_28/Makefile" ;;
+    "dlls/d3dx9_29/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_29/Makefile" ;;
+    "dlls/d3dx9_30/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_30/Makefile" ;;
+    "dlls/d3dx9_31/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_31/Makefile" ;;
+    "dlls/d3dx9_32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_32/Makefile" ;;
+    "dlls/d3dx9_33/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_33/Makefile" ;;
+    "dlls/d3dx9_34/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_34/Makefile" ;;
+    "dlls/d3dx9_35/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_35/Makefile" ;;
     "dlls/d3dx9_36/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_36/Makefile" ;;
+    "dlls/d3dx9_36/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_36/tests/Makefile" ;;
+    "dlls/d3dx9_37/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dx9_37/Makefile" ;;
     "dlls/d3dxof/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/d3dxof/Makefile" ;;
     "dlls/dbghelp/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dbghelp/Makefile" ;;
     "dlls/dciman32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dciman32/Makefile" ;;
@@ -22576,6 +23011,7 @@ do
     "dlls/dpnlobby/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dpnlobby/Makefile" ;;
     "dlls/dsound/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dsound/Makefile" ;;
     "dlls/dsound/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dsound/tests/Makefile" ;;
+    "dlls/dssenh/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dssenh/Makefile" ;;
     "dlls/dswave/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dswave/Makefile" ;;
     "dlls/dwmapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dwmapi/Makefile" ;;
     "dlls/dxdiagn/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dxdiagn/Makefile" ;;
@@ -22583,6 +23019,8 @@ do
     "dlls/dxerr9/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dxerr9/Makefile" ;;
     "dlls/dxguid/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/dxguid/Makefile" ;;
     "dlls/faultrep/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/faultrep/Makefile" ;;
+    "dlls/fusion/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/fusion/Makefile" ;;
+    "dlls/fusion/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/fusion/tests/Makefile" ;;
     "dlls/gdi32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdi32/Makefile" ;;
     "dlls/gdi32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdi32/tests/Makefile" ;;
     "dlls/gdiplus/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/gdiplus/Makefile" ;;
@@ -22615,6 +23053,8 @@ do
     "dlls/itircl/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/itircl/Makefile" ;;
     "dlls/itss/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/itss/Makefile" ;;
     "dlls/itss/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/itss/tests/Makefile" ;;
+    "dlls/jscript/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/jscript/Makefile" ;;
+    "dlls/jscript/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/jscript/tests/Makefile" ;;
     "dlls/kernel32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/kernel32/Makefile" ;;
     "dlls/kernel32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/kernel32/tests/Makefile" ;;
     "dlls/localspl/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/localspl/Makefile" ;;
     "dlls/psapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/psapi/tests/Makefile" ;;
     "dlls/pstorec/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/pstorec/Makefile" ;;
     "dlls/qcap/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qcap/Makefile" ;;
+    "dlls/qedit/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qedit/Makefile" ;;
+    "dlls/qedit/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qedit/tests/Makefile" ;;
     "dlls/qmgr/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qmgr/Makefile" ;;
+    "dlls/qmgr/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qmgr/tests/Makefile" ;;
     "dlls/qmgrprxy/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/qmgrprxy/Makefile" ;;
     "dlls/quartz/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/quartz/Makefile" ;;
     "dlls/quartz/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/quartz/tests/Makefile" ;;
@@ -22722,7 +23165,6 @@ do
     "dlls/rpcrt4/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rpcrt4/Makefile" ;;
     "dlls/rpcrt4/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rpcrt4/tests/Makefile" ;;
     "dlls/rsabase/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsabase/Makefile" ;;
-    "dlls/rsabase/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsabase/tests/Makefile" ;;
     "dlls/rsaenh/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsaenh/Makefile" ;;
     "dlls/rsaenh/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/rsaenh/tests/Makefile" ;;
     "dlls/sane.ds/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/sane.ds/Makefile" ;;
@@ -22748,6 +23190,7 @@ do
     "dlls/shlwapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/shlwapi/Makefile" ;;
     "dlls/shlwapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/shlwapi/tests/Makefile" ;;
     "dlls/slbcsp/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/slbcsp/Makefile" ;;
+    "dlls/slc/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/slc/Makefile" ;;
     "dlls/snmpapi/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/snmpapi/Makefile" ;;
     "dlls/snmpapi/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/snmpapi/tests/Makefile" ;;
     "dlls/softpub/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/softpub/Makefile" ;;
@@ -22768,6 +23211,7 @@ do
     "dlls/user32/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/user32/Makefile" ;;
     "dlls/user32/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/user32/tests/Makefile" ;;
     "dlls/userenv/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/userenv/Makefile" ;;
+    "dlls/userenv/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/userenv/tests/Makefile" ;;
     "dlls/usp10/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/usp10/Makefile" ;;
     "dlls/usp10/tests/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/usp10/tests/Makefile" ;;
     "dlls/uuid/Makefile") CONFIG_FILES="$CONFIG_FILES dlls/uuid/Makefile" ;;
     "programs/notepad/Makefile") CONFIG_FILES="$CONFIG_FILES programs/notepad/Makefile" ;;
     "programs/oleview/Makefile") CONFIG_FILES="$CONFIG_FILES programs/oleview/Makefile" ;;
     "programs/progman/Makefile") CONFIG_FILES="$CONFIG_FILES programs/progman/Makefile" ;;
+    "programs/reg/Makefile") CONFIG_FILES="$CONFIG_FILES programs/reg/Makefile" ;;
     "programs/regedit/Makefile") CONFIG_FILES="$CONFIG_FILES programs/regedit/Makefile" ;;
     "programs/regsvr32/Makefile") CONFIG_FILES="$CONFIG_FILES programs/regsvr32/Makefile" ;;
     "programs/rpcss/Makefile") CONFIG_FILES="$CONFIG_FILES programs/rpcss/Makefile" ;;
     "programs/rundll32/Makefile") CONFIG_FILES="$CONFIG_FILES programs/rundll32/Makefile" ;;
+    "programs/secedit/Makefile") CONFIG_FILES="$CONFIG_FILES programs/secedit/Makefile" ;;
+    "programs/services/Makefile") CONFIG_FILES="$CONFIG_FILES programs/services/Makefile" ;;
     "programs/spoolsv/Makefile") CONFIG_FILES="$CONFIG_FILES programs/spoolsv/Makefile" ;;
     "programs/start/Makefile") CONFIG_FILES="$CONFIG_FILES programs/start/Makefile" ;;
     "programs/svchost/Makefile") CONFIG_FILES="$CONFIG_FILES programs/svchost/Makefile" ;;
@@ -22865,7 +23312,7 @@ do
     "programs/winepath/Makefile") CONFIG_FILES="$CONFIG_FILES programs/winepath/Makefile" ;;
     "programs/winetest/Makefile") CONFIG_FILES="$CONFIG_FILES programs/winetest/Makefile" ;;
     "programs/winevdm/Makefile") CONFIG_FILES="$CONFIG_FILES programs/winevdm/Makefile" ;;
-    "programs/winhelp/Makefile") CONFIG_FILES="$CONFIG_FILES programs/winhelp/Makefile" ;;
+    "programs/winhlp32/Makefile") CONFIG_FILES="$CONFIG_FILES programs/winhlp32/Makefile" ;;
     "programs/winver/Makefile") CONFIG_FILES="$CONFIG_FILES programs/winver/Makefile" ;;
     "programs/wordpad/Makefile") CONFIG_FILES="$CONFIG_FILES programs/wordpad/Makefile" ;;
     "programs/write/Makefile") CONFIG_FILES="$CONFIG_FILES programs/write/Makefile" ;;
@@ -22982,6 +23429,7 @@ LIBS!$LIBS$ac_delim
 build_alias!$build_alias$ac_delim
 host_alias!$host_alias$ac_delim
 target_alias!$target_alias$ac_delim
+MAINTAINER_MODE!$MAINTAINER_MODE$ac_delim
 build!$build$ac_delim
 build_cpu!$build_cpu$ac_delim
 build_vendor!$build_vendor$ac_delim
@@ -23017,6 +23465,7 @@ AS!$AS$ac_delim
 ac_ct_AS!$ac_ct_AS$ac_delim
 LD!$LD$ac_delim
 AR!$AR$ac_delim
+ARFLAGS!$ARFLAGS$ac_delim
 RANLIB!$RANLIB$ac_delim
 STRIP!$STRIP$ac_delim
 WINDRES!$WINDRES$ac_delim
@@ -23025,8 +23474,6 @@ LN!$LN$ac_delim
 GREP!$GREP$ac_delim
 EGREP!$EGREP$ac_delim
 LDCONFIG!$LDCONFIG$ac_delim
-INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
-INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 82; then
@@ -23088,11 +23535,15 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
+INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
+INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
 INSTALL_DATA!$INSTALL_DATA$ac_delim
 LINT!$LINT$ac_delim
 LINTFLAGS!$LINTFLAGS$ac_delim
 FONTFORGE!$FONTFORGE$ac_delim
 PKG_CONFIG!$PKG_CONFIG$ac_delim
+RSVG!$RSVG$ac_delim
+ICOTOOL!$ICOTOOL$ac_delim
 PRELINK!$PRELINK$ac_delim
 LIBPTHREAD!$LIBPTHREAD$ac_delim
 XLIB!$XLIB$ac_delim
@@ -23162,7 +23613,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 72; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 76; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5